Subject: RE: [mobile-ip] Issues with the S bit.

From: "Greg O'Shea" <[email-masked]>
Date: Wed, 4 Dec 2002 17:03:32 -0000

"Mobile IPv6 also provides support for multiple home agents..." draft 19
Section 4.1
As far as I know there is no restriction that these must be on the same
network or networks.

>-----Original Message-----
>From: Vijay Devarapalli [mailto:[email-masked]] 
>Sent: 03 December 2002 20:24
>To: Greg O'Shea
>Cc: Mobile IPv6 mailling list
>Subject: Re: [mobile-ip] Issues with the S bit.
>
>
>hi Greg,
>
>> Greg O'Shea wrote:
>> 
>> I have some questions concerning the S bit in Binding Updates of 
>> Section 6.1.7 and 10.3.1. I have no real experience of using this 
>> feature, which appeared sometime post draft 13,
>
>it was called the prefix length field before. it used to be a 
>fixed 8 bit length field in the BU. if the prefix length field 
>is non-zero 
>it is the same as setting the 'S' bit to 0. instead of using 8 bits, 
>it was replaced by the 'S' bit.
>
>> 1.  A mobile node has potentially several Home Agents each 
>potentially 
>> offering several routing prefixes for home agent service. We cannot 
>> assume that these sets of routing prefixes are distinct, or if they 
>> are, that they won't change such that they suddenly 
>intersect. Assume 
>> that the MN is using the same IFId for all its Home Agents. 
>Now, when 
>> the MN moves it sends BU+S+D to several HA
>
>??? several HAs? why is the MN using more than one HA at a 
>time?" maybe I am ignorant, but I cant figure out why the MN 
>would use multiple home agents. anyway, in the implementations 
>I have seen so far, the MN at any time uses only one home agent.
>
>Vijay
>

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 04 Dec 2002 10:09:11 -0800

why would a Mobile Node use more than one Home Agent per 
home link?

> "Mobile IPv6 also provides support for multiple home agents..." draft 19

ofcourse. but it does not mean a MN uses multiple home agents 
at the same time.

section 11.4.1

   If the mobile node has a current registration with some home agent
   on its home link (the Lifetime for that registration has not yet
   expired), then the mobile node MUST attempt any new registration
   first with that home agent.  If that registration attempt fails
   (e.g., times out or is rejected), the mobile node SHOULD then
   reattempt this registration with another home agent on its home link.
   If the mobile node knows of no other suitable home agent, then it MAY
   attempt the dynamic home agent address discovery mechanism described
   above.

Vijay